/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2024-11-05 14:40:14
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2024-11-05 14:59:15
 * @FilePath: \znxjxt-ui\src\api\xj\surface.js
 * @Description: 路面病害对比
 */

import request from "@/utils/request";

// 查询路段下拉数据接口
export function getSegment() {
  return request({
    url: "/api/v2/segment/selectList",
    method: "post",
  });
}

// 病害类型级联下拉数据
export function getDefectList(params) {
    return request({
      // url: "/bigscreen/v2/getAllDefectType",
      url: "/bigscreen/v2/getDefectTypesDrowDown",
      method: "get",
      params,
    });
  }

// 获取病害类型下拉数据
export function getDefectSelectList(params) {
  return request({
    url: "/bigscreen/v2/getAllDefectType",
    method: "get",
    params,
  });
}

// 获取病害详细数据接口
export function getCompareList(params) {
    return request({
      url: "/xj/defect/historyCompare",
      method: "get",
      params,
    });
  }
